package fr.craft.kata.infrastructure.primary;

import static fr.craft.kata.domain.NamesFixture.*;
import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import fr.craft.kata.Application;
import fr.craft.kata.domain.Names;

public class PersonsComponentTest {

  private static final Application application = new Application();

  @BeforeAll
  static void startApplication() {
    application.start();
  }

  @Test
  void shouldGetUsers() {
    assertThat(application.getManagers())
        .isEqualTo(new Names(jeanPaul()));
  }

}
